> ## Documentation Index
> Fetch the complete documentation index at: https://docs.turrisfi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Agent Appointments

> Retrieve appointment records for a specific agent

Returns all appointment records for a specific agent. You can filter by state code and appointment status.


## OpenAPI

````yaml openapi/v1.json GET /v1/agents/{agentId}/appointments
openapi: 3.0.0
info:
  title: Turris Public API
  description: API for managing insurance compliance data
  version: 1.0.0
  contact: {}
servers:
  - url: https://public.api.live.turrisfi.com
    description: Production
  - url: https://public.api.sandbox.turrisfi.com
    description: Sandbox
security: []
tags: []
paths:
  /v1/agents/{agentId}/appointments:
    get:
      tags:
        - agents
      operationId: AgentAppointmentComplianceController_getAgentAppointments_v1
      parameters:
        - name: agentId
          required: true
          in: path
          description: Agent ID
          schema:
            example: 507f1f77bcf86cd799439011
            type: string
        - name: stateCode
          required: false
          in: query
          description: State code (two-letter abbreviation)
          schema:
            example: FL
            type: string
        - name: status
          required: false
          in: query
          description: Filter for the appointment status
          schema:
            example: appointed
            type: string
      responses:
        '200':
          description: List of agent appointments
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/AgentAppointmentResponse'
                  requestId:
                    type: string
                    description: Unique request identifier
                    example: dev-2c5e7cf2-9acf-4c8c-ab2f-b81f39d775a8
                  timestamp:
                    type: string
                    description: Response timestamp
                    example: '2025-11-12T20:49:03.293Z'
                required:
                  - data
                  - requestId
                  - timestamp
        '401':
          description: Invalid or missing auth token
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
        '404':
          description: Agent not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponseDto'
components:
  schemas:
    AgentAppointmentResponse:
      type: object
      properties:
        niprDataSubscriptionId:
          type: string
          description: NIPR data subscription ID
        stateCode:
          type: string
          description: Two-letter state code
          example: AL
        carrierName:
          type: string
          description: Carrier name
        ein:
          type: string
          description: Employer Identification Number
        companyCode:
          type: string
          description: Company code
        lineOfAuthorityName:
          type: string
          description: Line of authority name
        lineOfAuthorityCode:
          type: string
          description: Line of authority code
        status:
          type: string
          description: Appointment status
          example: active
        terminationReason:
          type: string
          description: Termination reason
        statusChangeDate:
          format: date-time
          type: string
          description: Status change date
        renewalDate:
          format: date-time
          type: string
          description: Renewal date
        npn:
          type: string
          description: National Producer Number
        appointerStateCoId:
          type: string
          description: Appointer state company ID
        countyName:
          type: string
          description: County name
        updatedAt:
          format: date-time
          type: string
          description: Last update timestamp
        agentId:
          type: string
          description: Agent ID
      required:
        - niprDataSubscriptionId
        - stateCode
        - carrierName
        - ein
        - companyCode
        - lineOfAuthorityName
        - lineOfAuthorityCode
        - status
        - npn
        - agentId
    ErrorResponseDto:
      type: object
      properties:
        statusCode:
          type: number
          description: HTTP status code
        requestId:
          type: string
          description: Unique request identifier for debugging
        errorType:
          type: string
          description: Error type classification
        errorMessage:
          description: Array of error messages
          type: array
          items:
            type: string
        timestamp:
          type: string
          description: ISO timestamp when the error occurred
        details:
          type: object
          description: Additional error context
      required:
        - statusCode
        - requestId
        - errorType
        - errorMessage
        - timestamp

````